* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

#div1 {
  /* margin-bottom: 30px;
  margin-top: 10px;
  margin-right: 5px;
  margin-left: 30px; */
  /* 3 margin values: top l/r bottom  */
  /* margin: 100px 10px 5px 50px; */
  border: 2px solid black;
  padding: 20px;
  background-color: red;
  width: 100px;
  height: 100px;
  display: inline-block;
  vertical-align: top;
  /* box-sizing default = content-box (border and paddind added on top of the element */

  /* 
    INLINE vs BLOCK vs INLINE-BLOCK
    
    Block - occupies whole width of parent and breaks the line; can manipulate height and width of our block element

    Inline - only occupies the size of it's content; cannot set the width and the height of an inline element; displays elements beside each other 

    Inline-block - works like an inline element wherein it doesn't break the line and will put elements beside each other; inline-blocks can set the width and the height 
  
    vertical-align: top aligns items vertically from the top; usually used in conjunction with inline-block elements
  */
}

#div2 {
  border: 2px solid black;
  padding: 20px;
  background-color: orange;
  height: 100px;
  width: 100px;
  display: inline-block;
  vertical-align: top;
}

#span1 {
  display: inline-block;
  border: 2px solid black;
  background-color: green;
  height: 100px;
  width: 100px;
}

#span2 {
  display: inline-block;
  border: 2px solid black;
  background-color: blue;
  height: 100px;
  width: 100px;
}
